/*
Copyright (c)  2013   The Regents of the University of California
All Rights Reserved
 
Permission to copy, modify and distribute any part of this FlowMax for educational, research and non-profit purposes, without fee, and without a written agreement is hereby granted, provided that the above copyright notice, this paragraph and the following three paragraphs appear in all copies.
Those desiring to incorporate this FlowMax into commercial products or use for commercial purposes should contact the Technology Transfer Office, University of California, San Diego, 9500 Gilman Drive, Mail Code 0910, La Jolla, CA 92093-0910, Ph: (858) 534-5815, FAX: (858) 534-7345, E-MAIL:invent@ucsd.edu.
IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS FlowMax, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
THE FlowMax PROVIDED HEREIN IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.  THE UNIVERSITY OF CALIFORNIA MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES OF ANY KIND, EITHER IMPLIED OR EXPRESS, 
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, OR THAT THE USE OF THE FlowMax WILL NOT INFRINGE ANY PATENT, TRADEMARK OR OTHER RIGHTS.
*/
package FlowMax;

public class Constants {
	public static final double acceptable_error = 1; // 1% area diff
	public static final long serialVersionUID = 1L;
	public static final double FlowMaxVersion = 5;

	public static final int nparams = 14;


	public static final double[][] limits = {{1.7916,4.95174345},{0.01667,0.832555},{1.7916,4.95174345},{0.01667,0.832555},{1.7916,4.95174345},{0.01667,0.832555},{1.7916,4.95174345},{0.01667,0.832555},{-3,8},{0.001,10},{0.001,1},{20000,3000000},{0,0},{0,0}};


	public static final String[] paramNames = {"E[Tdiv0]","s.d.[Tdiv0]","E[Tdiv1+]","s.d.[Tdiv1+]","E[Tdie0]","s.d.[Tdie0]","E[Tdie1+]","s.d.[Tdie1+]","Du","Ds","pF0","N","kmech","pmech"};
	
	public static final double dt = 0.5;
	
	public static final int maximum = 16777216;
	public static final int minimum = 1;
	public static final String separator = System.getProperty("line.separator");
	public static final String fseparator = System.getProperty("file.separator");
}
