package common;

import java.util.Iterator;
import java.util.LinkedList;

public class MaxList<E> extends LinkedList<E>{
	

	int max_size;
	
	public MaxList(int max)
	{
		super();
		max_size = max;
	}
	
	public Iterator<E> iterator()
	{
		//override
		return new TruncatedIterator<E>(this,super.iterator(),max_size);
	}

	public Iterator<E> superiterator() {
		return super.iterator();
	}

}
