package common;

/**
 * Wrapper for int[] ps and int color
 * @author Max
 *
 */
public class Point {
	public int[] ps;
	public int color=0;
	
	/**
	 * Default constructor if int[] is known
	 * @param ps
	 */
	public Point(int[] ps)
	{
		this.ps = ps;
	}
	
	/**
	 * Creates a default point with dimensionality size
	 * @param size dimensionality
	 */
	public Point(int size)
	{
		ps = new int[size];
	}
	
	/**
	 * Copy
	 * @param p
	 */
	public Point(Point p)
	{
		this.ps = p.ps;
		this.color = p.color;
	}
	
	public void setColor(int col)
	{
		color = col;
	}
	
	public int getColor()
	{
		return color;
	}
}
