package common;

import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.GridLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class StatsBox extends JPanel{
	
	TreeNode tn;
	JTextField nbox,cbox,xbox,ybox;
	public StatsBox(TreeNode tn)
	{
		this.tn = tn;
		refresh();

	}
	
	public void refresh()
	{
		//System.err.println("Refreshed!");
		removeAll();
		setLayout(new FlowLayout(FlowLayout.LEFT,1,1));
		JLabel nlbl = new JLabel("Name:");
		JLabel clbl = new JLabel("Events:");
		JLabel xlbl = new JLabel("Mean "+tn.getSourceFCS().getNames()[tn.getXindex()]+":");
		JLabel ylbl = null;
		if(tn.getYindex() != -1)
			ylbl = new JLabel("Mean "+tn.getSourceFCS().getNames()[tn.getYindex()]+":");
		else
			ylbl = new JLabel("s.d. "+tn.getSourceFCS().getNames()[tn.getXindex()]+":");
		if(tn.getGate() != null)
			nbox = new JTextField(tn.getSourceFCS().getExperiment()+":"+tn.getGate().name);
		else
			nbox = new JTextField(tn.getSourceFCS().getExperiment());
		cbox = new JTextField(""+tn.getPoints().size());
		xbox = new JTextField(String.format("%3.1f",tn.getAverageX()));
		if(tn.getYindex() != -1)
			ybox = new JTextField(String.format("%3.1f",tn.getAverageY()));
		else
			ybox = new JTextField(String.format("%3.1f",tn.getSdX()));
		Font f = new Font("Calibri",Font.PLAIN,10);
		nlbl.setFont(f);nbox.setFont(f);clbl.setFont(f);cbox.setFont(f);xlbl.setFont(f);xbox.setFont(f);ylbl.setFont(f);ybox.setFont(f);
		nbox.setEditable(false);cbox.setEditable(false);xbox.setEditable(false);ybox.setEditable(false);
		Dimension nd = new Dimension(145,15);
		nlbl.setPreferredSize(nd); nbox.setPreferredSize(nd);
		Dimension cd = new Dimension(50,15);
		clbl.setPreferredSize(cd); cbox.setPreferredSize(cd);
		Dimension xd = new Dimension(60,15);
		xlbl.setPreferredSize(xd); xbox.setPreferredSize(xd);
		Dimension yd = new Dimension(60,15);
		ylbl.setPreferredSize(yd); ybox.setPreferredSize(yd);
		add(nlbl);add(clbl);add(xlbl);add(ylbl);add(nbox);add(cbox);add(xbox);add(ybox);
	}
}
