package common;

import javax.swing.ImageIcon;
import javax.swing.JButton;

public class JCheckButton extends JButton
{
	boolean selected;
	ImageIcon unchecked;
	ImageIcon checked;

	public JCheckButton(ImageIcon unchecked, ImageIcon checked) {
		this.unchecked = unchecked;
		this.checked = checked;
	}

	public boolean isSelected() {
		return selected;
	}

	public void setSelected(boolean selected) {
		this.selected = selected;
		if(selected)
			setIcon(checked);
		else
			setIcon(unchecked);
	}
	
	
}
