package common;

import java.awt.Dimension;
import java.awt.Toolkit;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;

public class SplashScreen extends JFrame{

	public SplashScreen(String img_name, String title)
	{
		super(title);
		
	    Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
	    // Determine the new location of the window
	    ImageIcon image = Methods.getImageIcon((img_name));
	    setSize(new Dimension(image.getIconWidth(),image.getIconHeight()));
	    int x = (dim.width-image.getIconWidth())/2;
	    int y = (dim.height-image.getIconHeight())/2;
		setLocation(x, y);
		setResizable(false);
		setAlwaysOnTop(true);
		setUndecorated(true);
		add(new JLabel(image));
		invalidate();
		setVisible(true);
	}
	
	public void die()
	{
		this.dispose();
	}
}
